import { Series } from "./Series";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Color } from "igniteui-react-core";
import { Type, Point } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Axis } from "./Axis";
import { SeriesView } from "./SeriesView";
import { ProgressiveLoadStatusEventArgs } from "./ProgressiveLoadStatusEventArgs";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { RenderSurface } from "./RenderSurface";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class HighDensityScatterSeries extends Series {
    static $t: Type;
    protected bi(): Series;
    protected get_fm(): boolean;
    protected ji(): number;
    constructor();
    protected get_fu(): boolean;
    ww: NumericXAxis;
    wy: NumericYAxis;
    yz: string;
    protected get w3(): IFastItemColumn$1<number>;
    protected set w3(a: IFastItemColumn$1<number>);
    private w2;
    yv: string;
    y3: string;
    yx: string;
    y5: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    ko(a: any, b: string): any;
    ma(a: string): string;
    y7: string;
    protected get w5(): IFastItemColumn$1<number>;
    protected set w5(a: IFastItemColumn$1<number>);
    private w4;
    xc: boolean;
    xb: boolean;
    x7: number;
    x6: number;
    z5: Color;
    z4: Color;
    yj: number;
    private zm;
    protected q4(a: any, b: string, c: any, d: any): void;
    private zg;
    xa(a: any): boolean;
    w9(a: any): boolean;
    private zc;
    private yd;
    private w6;
    private xs;
    private xr;
    private xq;
    private xp;
    private xo;
    private xn;
    private xm;
    private xl;
    private get xw();
    private get xv();
    private get xu();
    private get xt();
    private wu;
    private wz;
    private w0;
    private wv;
    private wx;
    private w8;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    private ye;
    get yk(): number;
    set yk(a: number);
    rn(a: boolean): void;
    private ze;
    private yg;
    private ya;
    private x9;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    private zb;
    private zh;
    private zf;
    progressiveLoadStatusChanged: (sender: any, e: ProgressiveLoadStatusEventArgs) => void;
    private y9;
    private zd;
    private xd;
    private zo;
    private xj;
    private xi;
    private xk;
    private xz;
    private xx;
    private xy;
    private x0;
    private x2;
    private x4;
    private x3;
    private x1;
    private xf;
    private xg;
    private xh;
    private xe;
    private zj;
    gb(a: any): boolean;
    private zl;
    private yh;
    private yi;
    private x5;
    private zk;
    private zi;
    private yc;
    private yb;
    private wr;
    private yf;
    private za;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    protected wt: HighDensityScatterSeriesView;
    ax(a: Axis): AxisRange;
    private w7;
    protected sj(a: Rect, b: Rect): void;
    protected sk(a: Rect, b: Rect): void;
    private _itemIndexes;
    private ws;
    private wp;
    kl(a: Point): any;
    private yl;
    zn(a: number[], b: number, c: number): void;
    protected get_g5(): boolean;
    protected set_g5(a: boolean): void;
    o2(a: boolean, b: SeriesView): void;
    ro(a: Rect, b: RenderSurface): void;
    private w1;
    rl(a: Rect, b: Rect, c: RenderSurface, d: string, e: number): void;
    oz(): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class HighDensityScatterSeriesView extends SeriesView {
    static $t: Type;
    constructor(a: HighDensityScatterSeries);
    au(): void;
    cd(): void;
    protected b2: HighDensityScatterSeries;
    private b0;
    private b8;
    private b7;
    private b5;
    private b6;
    private b3;
    b9(): void;
    b1(): number[];
    cc(): void;
    cb(a: () => void): void;
    protected a8(a: RenderingContext, b: boolean): void;
    b4(a: Color, b: Color): boolean;
    ca(): void;
    an(a: any): void;
}
